<!--
  Generated template for the ShiftPosRptPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header id="shiftReportHeader">

  <ion-navbar>
      <button ion-button menuToggle>
        <ion-icon name="menu"></ion-icon>
      </button>
    <ion-title>Shift Production Report</ion-title>
  </ion-navbar>
  <div class="header">
      <ion-grid>
          <ion-row>
            <ion-col align-self-start col-2>
              Total
            </ion-col>
            <ion-col align-self-start col-2 text-right>
                NL
            </ion-col>  
            <ion-col align-self-start col-3 text-right>
                TON
            </ion-col>  
            <ion-col align-self-start col-5 text-right>
                Amount
            </ion-col>  
          </ion-row>
        </ion-grid> 
  </div>




</ion-header>


<ion-content id="shiftReport">
    <ion-list>
      <div class="totalHeader">
          <ion-item *ngFor="let Data of getData | slice:0:1;">
              <ion-grid>
                  <ion-row class="titleVal">
                      <ion-col align-self-start col-12 >
                      {{Data.Title}}
                      </ion-col>
                  </ion-row>
                  <ion-row>
                      <ion-col align-self-start col-2>
                        <div class="Mode">
                         {{Data.Mode1}}
                        </div>
                      </ion-col>
                      <ion-col align-self-start col-2>
                        <div class="nl" text-right>
                          {{Data.NL1}}
                        </div>
                      </ion-col>
                      <ion-col align-self-start col-3>
                        <div class="ton" text-right>
                        {{Data.Ton1}}
                        </div>
                      </ion-col>
                      <ion-col align-self-start col-5>
                        <div class="amount" text-right>
                            &#8377; {{Data.Amount1}}
                        </div>
                      </ion-col>
                    </ion-row>
                    <ion-row>
                        <ion-col align-self-start col-2>
                          <div class="Mode">
                           {{Data.Mode2}}
                          </div>
                        </ion-col>
                        <ion-col align-self-start col-2>
                          <div class="nl" text-right>
                            {{Data.NL2}}
                          </div>
                        </ion-col>
                        <ion-col align-self-start col-3>
                          <div class="ton" text-right>
                          {{Data.Ton2}}
                          </div>
                        </ion-col>
                        <ion-col align-self-start col-5>
                          <div class="amount" text-right>
                              &#8377; {{Data.Amount2}}
                          </div>
                        </ion-col>
                      </ion-row>
                  </ion-grid>
                  </ion-item>
      </div>
        
        <ion-item *ngFor="let Data of getData | slice:1:10;">
    <ion-grid>
        <ion-row class="titleVal">
            <ion-col align-self-start col-12>
            {{Data.Title}}
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col align-self-start col-2>
              <div class="Mode">
               {{Data.Mode1}}
              </div>
            </ion-col>
            <ion-col align-self-start col-2 >
              <div class="nl" text-right>
                {{Data.NL1}}
              </div>
            </ion-col>
            <ion-col align-self-start col-3>
              <div class="ton" text-right>
              {{Data.Ton1}}
              </div>
            </ion-col>
            <ion-col align-self-start col-5>
              <div class="amount" text-right>
                  &#8377; {{Data.Amount1}}
              </div>
            </ion-col>
          </ion-row>
          <ion-row>
              <ion-col align-self-start col-2>
                <div class="Mode">
                 {{Data.Mode2}}
                </div>
              </ion-col>
              <ion-col align-self-start col-2>
                <div class="nl" text-right>
                  {{Data.NL2}}
                </div>
              </ion-col>
              <ion-col align-self-start col-3>
                <div class="ton" text-right>
                {{Data.Ton2}}
                </div>
              </ion-col>
              <ion-col align-self-start col-5>
                <div class="amount" text-right>
                    &#8377; {{Data.Amount2}}
                </div>
              </ion-col>
            </ion-row>
        </ion-grid>
        </ion-item>
        </ion-list>
        </ion-content>


<ion-footer id="shiftReportFooter">
  <div class="total">
    
    <ion-item>
        <ion-grid>
            <ion-row class="totalVal">
                <ion-col align-self-start col-2>
                  Total
                  </ion-col>
                  <ion-col align-self-start col-2>
                  NLTotal
                  </ion-col>
                  <ion-col align-self-start text-right col-7>
                      &#8377; {{rTotal}}
                    </ion-col>
                  </ion-row>
                  </ion-grid>
                  </ion-item>
  </div>
</ion-footer>